export default {

    getRandomNumber(min, max, precision) {
        min = parseFloat(min);
        max = parseFloat(max);
        // 计算指定精度的因子
        const factor = 10 ** precision;

        // 计算范围内的随机数
        const random = Math.random() * (max - min) + min;

        // 将随机数乘以因子并进行四舍五入，然后除以因子得到指定精度的随机数
        return Math.round(random * factor) / factor;
    }
}

