package com.ichaoj.ams.script.zksync2.swap.sync;


import com.ichaoj.ams.script.JavaScript;
import com.ichaoj.ams.script.JsScript;
import com.ichaoj.ams.script.model.SResult;
import com.ichaoj.ams.script.annotation.Script;
import com.ichaoj.ams.script.annotation.ScriptParam;
import com.ichaoj.ams.script.annotation.ScriptType;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import lombok.SneakyThrows;

import java.util.Map;

/**
 * @author wrenj
 */
@Script(name = "zk-sync-swap-eth-usdc",
        type = ScriptType.Js,
        params = {
                @ScriptParam(name = "amountMin", note = "最小金额"),
                @ScriptParam(name = "amountMax", note = "最大金额"),
                @ScriptParam(name = "accuracy", note = "精度")
        }
)
public class ZksyncSwapEthForUsdcScript extends JsScript {

}
