package com.ichaoj.ams.script.zksync2.swap.mute;


import com.ichaoj.ams.script.JsScript;
import com.ichaoj.ams.script.annotation.Script;
import com.ichaoj.ams.script.annotation.ScriptParam;
import com.ichaoj.ams.script.annotation.ScriptType;

/**
 * @author wrenj
 */
@Script(name = "zk-mute-swap-eth-usdc",
        type = ScriptType.Js,
        params = {
                @ScriptParam(name = "amountMin", note = "最小金额"),
                @ScriptParam(name = "amountMax", note = "最大金额"),
                @ScriptParam(name = "accuracy", note = "精度")
        }
)
public class MuteSwapEthForUsdcScript extends JsScript {

}
